<ng-container *ngIf="!regForm.value.type; else showForm">
  <div class="registerTypeModal">
    <div class="modal-sub-title">Choose a user type and register.</div>
    <div class="regTypeBoxMain">    
      <div class="regTypeBoxTop">
        <div class="row">
            <div class="col">
              <label class="regTypeBtnInner">
                <input type="radio" [(ngModel)]="userType" [value]=PROFILE_STU name="regUserType" />
                <span class="regTypeUserIcon" title="Student">
                  <svg xmlns="http://www.w3.org/2000/svg" width="59.475" height="72.241" viewBox="0 0 59.475 72.241">
                    <path id="Union_1" data-name="Union 1" d="M18798.416-4634.936l19.33-7.248a2.066,2.066,0,0,1,1.908.236,2.067,2.067,0,0,1,.893,1.706v4.616h-.689a6.232,6.232,0,0,0-6.227,6.227v5.533a6.231,6.231,0,0,0,6.227,6.223h.689v4.37a2.068,2.068,0,0,1-1.346,1.942l-20.785,7.8Zm-24.932,23.6a2.074,2.074,0,0,1-1.346-1.942v-4.37h.689a6.232,6.232,0,0,0,6.227-6.223v-5.533a6.233,6.233,0,0,0-6.227-6.227h-.689v-4.616a2.077,2.077,0,0,1,.893-1.706,2.067,2.067,0,0,1,1.908-.236l19.328,7.248v31.4Zm46.373-10.46a2.074,2.074,0,0,1-2.074-2.074v-5.533a2.071,2.071,0,0,1,2.074-2.074h1.379a4.839,4.839,0,0,1,4.844,4.838,4.843,4.843,0,0,1-4.844,4.843Zm-48.41,0a4.843,4.843,0,0,1-4.842-4.843,4.839,4.839,0,0,1,4.842-4.838h1.381a2.074,2.074,0,0,1,2.078,2.074v5.533a2.077,2.077,0,0,1-2.078,2.074Zm8.732-22.858a24.229,24.229,0,0,1,7.521-4.6,15.82,15.82,0,0,0,8.641,2.556,15.821,15.821,0,0,0,8.643-2.556,24.229,24.229,0,0,1,7.521,4.6l-16.164,6.057Zm5.234-20.033a11.092,11.092,0,0,1,11.09-11.094,11.1,11.1,0,0,1,11.094,11.094,11.1,11.1,0,0,1-11.094,11.089A11.091,11.091,0,0,1,18785.414-4664.683Z" transform="translate(-18766.605 4675.776)" fill="currentColor"/>
                  </svg>                  
                </span>
                <span class="regTypeUserTitle">Student</span>
              </label>
            </div>
            <div class="col">
              <label class="regTypeBtnInner">
                <input type="radio" [(ngModel)]="userType" [value]=PROFILE_TUT name="regUserType" />
                <span class="regTypeUserIcon" title="Tutors">
                  <svg xmlns="http://www.w3.org/2000/svg" width="84.727" height="49.466" viewBox="0 0 84.727 49.466">
                    <path id="Union_2" data-name="Union 2" d="M18521.223-4639.7a4.191,4.191,0,0,1-.406-1.741c-.031-4.763-.092-9.525.006-14.283a8.409,8.409,0,0,1,4.506-7.405,12.056,12.056,0,0,1,5.262-1.592c1.648-.117,3.3-.14,4.953-.191.49-.014.98.009,1.471.033a.913.913,0,0,1,.748.556c1.191,1.989,2.4,3.969,3.637,6,.457-.751.893-1.457,1.326-2.171.85-1.4,1.7-2.806,2.559-4.207a.522.522,0,0,1,.365-.206h1.559c1.4,0,2.8-.009,4.193.093a13.077,13.077,0,0,1,6.826,2.377,8.659,8.659,0,0,1,3.623,5.892c.107.7.148,1.4.229,2.162.434-.294.879-.584,1.313-.883,1.313-.9,2.609-1.825,3.936-2.7a3.7,3.7,0,0,1,4.852.5,3.551,3.551,0,0,1-.014,4.949,10,10,0,0,1-1.639,1.186c-2.789,1.873-5.58,3.73-8.377,5.6-.705.472-1.41.948-2.125,1.415a3.376,3.376,0,0,1-3.852-.266,3.772,3.772,0,0,1-1.527-3.166c.014-1.919.006-3.838.006-5.757v-.481h-3.447v15.52h-19.609v-15.408h-3.428v.429c0,3.978.006,7.957,0,11.935a3.446,3.446,0,0,1-1.514,3.049,3.9,3.9,0,0,1-2.178.635A3.522,3.522,0,0,1,18521.223-4639.7Zm79.8-7.466c-9.143-.023-18.289-.009-27.436-.009h-.373v-3.572h27.141c.561,0,.561,0,.561-.542v-31.358H18558.3v13.681c0,.509,0,.509-.494.509-.869,0-1.742-.019-2.615.009-.373.009-.5-.093-.494-.481.014-3.6,0-7.2.01-10.8,0-1.214,0-2.428.064-3.637a3.341,3.341,0,0,1,2.273-2.712,6.7,6.7,0,0,1,1.527-.206q21.1-.014,42.213,0a3.447,3.447,0,0,1,3.424,2.181,3.31,3.31,0,0,1,.266,1.284q.021,16.108.01,32.212a3.5,3.5,0,0,1-3.457,3.446Zm-28.318-11.5a.371.371,0,0,1,.121-.332q4.225-3.327,8.457-6.64,3.668-2.878,7.33-5.762c.336-.261.668-.528,1.041-.817.279.556.555,1.088.813,1.625.131.266.363.584.3.808s-.434.387-.668.574q-5.273,4.153-10.543,8.306-2.745,2.164-5.494,4.319c-.07.052-.154.084-.285.159C18573.406-4657.2,18573.041-4657.931,18572.705-4658.673Zm-37.861-11.477a8.549,8.549,0,0,1-2.307-6.126,8.943,8.943,0,0,1,9.049-8.736,8.955,8.955,0,0,1,8.773,9.03,8.945,8.945,0,0,1-8.75,8.811c-.088,0-.174,0-.262,0A8.6,8.6,0,0,1,18534.844-4670.15Z" transform="translate(-18520.264 4686.791)" fill="currentColor" stroke="rgba(0,0,0,0)" stroke-miterlimit="10" stroke-width="1"/>
                  </svg>                                   
                </span>
                <span class="regTypeUserTitle">Tutor</span>
              </label>
            </div>
        </div>
      </div>
      <div class="regTypeBoxBottom">
          <button class="btn btn-success" (click)="onContinue()">Continue</button>
      </div>
      <div class="form-group text-center pt-2">
        Already have an account? <a href="javascript:void(0)" (click)="onLogin()">Login</a>
      </div>
    </div>
  </div>
 </ng-container>
 <ng-template #showForm>
  <div class="registerFormModal">  
    <app-social-sign-up [userType]="userType" mode='register'></app-social-sign-up>
    <form [formGroup]="regForm" (ngSubmit)="onSubmit()">
      <div class="form-group">
        <input type="text" appNoSpace class="form-control username" placeholder="Enter Username" formControlName="username" autofocus="on">
        <div class="minimumCharInfoMsg">Username should be minimum 2 characters and maximum 30 characters.</div>
        <div class="error" *ngIf="formErrors.username.required">{{errorMessages.username.required}}</div>
        <div class="error" *ngIf="formErrors.username.pattern || formErrors.username.minlength || formErrors.username.maxlength">{{errorMessages.username.pattern}}</div>
        <div class="error" *ngIf="formErrors.username.alreadyExist">{{errorMessages.username.alreadyExist}}</div>
      </div>
      <div class="form-group">
        <input type="text" appNoSpace class="form-control" placeholder="Enter Email Address" formControlName="email" autocomplete="off">
        <div class="error" *ngIf="formErrors.email.required">{{errorMessages.email.required}}</div>
        <div class="error" *ngIf="formErrors.email.email">{{errorMessages.email.email}}</div>
        <div class="error" *ngIf="formErrors.email.alreadyExist">{{errorMessages.email.alreadyExist}}</div>
      </div>
      <div class="form-group">
        <div class="form-group-right-icon">
          <input type="{{passwordField}}" appNoSpace class="form-control" placeholder="Enter Password" formControlName="password" autocomplete="off" pattern="(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@#^$!%*?&])[A-Za-z\d@#^$!%*?&]{8,30}$">
          <div class="eyeIcons" [ngClass]="passwordField == 'password' ? 'eyeIconShow' : 'eyeIconHide'"><i class="eye" (click)="passwordField = 'text'"><img src="assets/images/eye-icon.svg" /></i><i class="eye-slash" (click)="passwordField = 'password'"><img src="assets/images/eye-splash-icon.svg" /></i></div> 
        </div>
        <div class="minimumCharInfoMsg">Password should be minimum 8 characters and maximum 30 characters.</div>
        <div class="error" *ngIf="formErrors.password.required">{{errorMessages.password.required}}</div>
        <div class="error" *ngIf="formErrors.password.pattern">{{errorMessages.password.pattern}}</div>
      </div>
      <div class="form-group">
        <app-captcha (response)="onCaptchaResponse($event)" [reset]="resetCaptcha"></app-captcha>
        <div class="error" *ngIf="formErrors.captcha.required">{{errorMessages.captcha.required}}</div>
      </div>
      <div class="form-group pt-2">
          <div class="custom-control custom-checkbox d-flex">
            <input type="checkbox" class="custom-control-input" formControlName="acceptTos" id="acceptTermsCheck">
            <label class="custom-control-label" for="acceptTermsCheck"></label><div>I accept the  <a class="text-nowrap" target="_blank" [routerLink]="['/terms-and-condition']">Terms</a> and the <a target="_blank" class="text-nowrap" [routerLink]="['/privacy-policy']"> Privacy Policy</a>.</div>
          </div>
          <div class="error" *ngIf="formErrors.acceptTos.equal">
            {{errorMessages.termsAndCondition}}
          </div>
      </div>
      <div class="form-group  modal-btn">
        <app-loder-button [btnText]="'Register'" [showLoader]="submitting"></app-loder-button>
      </div>
      <div class="form-group text-center">
        Already have an account? <a href="javascript:void(0)" (click)="onLogin()">Login</a>
      </div>
    </form>
  </div>
 </ng-template>






